File: changelog

package info (click to toggle)
ocamlnet 4.1.8-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 52,232 kB
  • sloc: ml: 151,647; ansic: 11,049; sh: 1,975; makefile: 1,310
file content (798 lines) | stat: -rw-r--r-- 27,597 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
630
631
632
633
634
635
636
637
638
639
640
641
642
643
644
645
646
647
648
649
650
651
652
653
654
655
656
657
658
659
660
661
662
663
664
665
666
667
668
669
670
671
672
673
674
675
676
677
678
679
680
681
682
683
684
685
686
687
688
689
690
691
692
693
694
695
696
697
698
699
700
701
702
703
704
705
706
707
708
709
710
711
712
713
714
715
716
717
718
719
720
721
722
723
724
725
726
727
728
729
730
731
732
733
734
735
736
737
738
739
740
741
742
743
744
745
746
747
748
749
750
751
752
753
754
755
756
757
758
759
760
761
762
763
764
765
766
767
768
769
770
771
772
773
774
775
776
777
778
779
780
781
782
783
784
785
786
787
788
789
790
791
792
793
794
795
796
797
798
ocamlnet (4.1.8-2) unstable; urgency=medium

  * Call ./configure with OCAML_CUSTOM_USE_OUTPUT_COMPLETE_EXE unset

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2020 17:32:59 +0200

ocamlnet (4.1.8-1) unstable; urgency=medium

  * New upstream release
  * Do not rely on PATH_MAX (Closes: #844038)
  * libocamlnet-ocaml-doc: add Multi-Arch: foreign

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Aug 2020 13:12:23 +0200

ocamlnet (4.1.6-2) unstable; urgency=medium

  * Add empty dh_dwz override (Closes: #965300)
  * Add Rules-Requires-Root: no
  * Bump Standards-Version to 4.5.0
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Mon, 20 Jul 2020 13:14:43 +0200

ocamlnet (4.1.6-1) unstable; urgency=medium

  * New upstream release
  * Remove libcryptgps-ocaml-dev from Build-Depends
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12

 -- Stéphane Glondu <glondu@debian.org>  Mon, 12 Aug 2019 16:12:54 +0200

ocamlnet (4.1.2-4) unstable; urgency=high

  * Force rebuild of all packages on buildds
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Fri, 02 Aug 2019 10:17:53 +0200

ocamlnet (4.1.2-3) unstable; urgency=medium

  * Team upload.
  * Add patch from upstream to support Nettle 3.4+ (Closes: #887577)

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 27 Jan 2018 20:22:54 +0100

ocamlnet (4.1.2-2) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Import upstream patch to build with opaque files, instead of
    installing cmx files. Should fix approx FTBFS.
  * Revert previous patch. Building with opaque doesn't resolve
    approx FTBFS. Ship cmx files instead.

  [ Stéphane Glondu ]
  * Add support for O_KEEPEXEC (upstream fix for OCaml 4.05)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jul 2017 22:09:30 +0200

ocamlnet (4.1.2-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Aug 2016 12:32:33 +0200

ocamlnet (4.0.4-1) unstable; urgency=medium

  * New upstream release
    - compiles with OCaml 4.02.3 (Closes: #801550)
    - remove libssl-ocaml-dev and libcryptokit-ocaml-dev from
      Build-Depends; add libgnutls28-dev
    - add patch Fix-compilation-of-Apache-module
  * Bump Standards-Version to 3.9.6

 -- Stéphane Glondu <glondu@debian.org>  Fri, 16 Oct 2015 09:55:18 +0200

ocamlnet (3.7.3-4) unstable; urgency=medium

  * Fix FTBFS: net{camlbox,multicore} are now built on kfreebsd

 -- Stéphane Glondu <glondu@debian.org>  Sat, 23 Aug 2014 15:16:28 +0200

ocamlnet (3.7.3-3) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 21:17:34 +0100

ocamlnet (3.7.3-2) experimental; urgency=low

  * Cope with netcamlbox and netmulticore not being available on kfreebsd,
    because of lack of named semaphores (fix FTBFS)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 22 Nov 2013 15:33:57 +0100

ocamlnet (3.7.3-1) experimental; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 09 Nov 2013 12:30:24 +0100

ocamlnet (3.6.6-2) experimental; urgency=low

  * New upstream release
  * Compile with OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 25 Jul 2013 21:22:24 +0200

ocamlnet (3.6.5-1) experimental; urgency=low

  * New upstream release
    - enable netmech-scram and netzip modules
    - Netstring_pcre has moved to its own findlib package (netstring-pcre)
    - remove patches that were merged upstream:
      + Add-rpath-to-Apache-module,
      + Link-against-the-PIC-version-of-libcamlrun
      + Set-FD_CLOEXEC-correctly-using-F_SETFD-not
      + Fix-compilation-with-Apache-2.4
  * Rename libapache2-mod-ocamlnet package and configuration file to
    follow Apache module naming conventions
  * Update copyright file and use format version 1.0
  * Bump Standards-Version to 3.9.4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Jun 2013 11:55:15 +0200

ocamlnet (3.5.1-2) unstable; urgency=low

  * Update packaging for apache 2.4 (Closes: #666825)
    - import upstream patch to fix compilation
  * Fix incorrect use of F_SETFL with FD_CLOEXEC (Closes: #696279)
  * Force all netsys features on Linux (LP: #257524)
  * Bump debhelper compat level to 9
  * Update Vcs-* fields

 -- Stéphane Glondu <glondu@debian.org>  Wed, 05 Jun 2013 08:03:53 +0200

ocamlnet (3.5.1-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 29 Feb 2012 22:33:09 +0100

ocamlnet (3.5-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Feb 2012 17:46:08 +0100

ocamlnet (3.4.1-2) unstable; urgency=low

  * Fix FTBFS on !linux-any:
    - rpc-auth-local is available everywhere, now

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Nov 2011 12:05:08 +0100

ocamlnet (3.4.1-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Nov 2011 22:46:47 +0100

ocamlnet (3.4-1) unstable; urgency=low

  * New upstream release
    - add a new NetcgiRequire directive to ease dependency management
      (Closes: #637147)
    - remove patches that were applied upstream:
      + Added-missing-shebang-lines-in-example-shell-scripts
      + Try-also-ocamlc-for-POSIX-threads

 -- Stéphane Glondu <glondu@debian.org>  Fri, 02 Sep 2011 14:12:33 +0200

ocamlnet (3.3.5-3) unstable; urgency=low

  * Try also ocamlc for POSIX threads (fix FTBFS of ocsigen on bytecode
    architectures)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 24 Jul 2011 16:05:02 +0200

ocamlnet (3.3.5-2) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Sat, 23 Jul 2011 14:47:09 +0200

ocamlnet (3.3.5-1) experimental; urgency=low

  [ Stéphane Glondu ]
  * New upstream release (Closes: #634906)
    - fix handling of IPv6 litterals (Closes: #617554)
    - newly installed components: netcamlbox, netgssapi, netmulticore
  * Remove misleading debian/README.source
  * Remove ancient versioned conflicts
  * Rewrite debian/rules using dh with overrides
  * Bump debhelper compatibility level to 8
  * Bump Standards-Version to 3.9.2

  [ Eric Cooper ]
  * Don't ship *.so.owner files created by findlib

 -- Stéphane Glondu <glondu@debian.org>  Thu, 21 Jul 2011 11:09:36 +0200

ocamlnet (2.2.9-8) unstable; urgency=low

  * debian/control:
    - move libapache2-mod-ocamlnet to section httpd
    - remove Stefano from Uploaders
    - bump Standards-Version to 3.8.4 (no changes)
  * Add 0012-Use-OCaml-version-to-guess-str-stubs-link-options.patch
    (Closes: #580093)
  * Reformat debian/NEWS to please Lintian
  * Switch source package format to 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 03 May 2010 20:47:39 +0200

ocamlnet (2.2.9-7) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * debian/copyright: point to GPL-2 under /usr/share/common-licenses/

  [ Stephane Glondu ]
  * Switch packaging to dh-ocaml 0.9 (Closes: #549849)
  * Add README.source
  * debian/control:
    - add myself to Uploaders
    - move to section ocaml
    - update Standards-Version to 3.8.3
  * Add Lintian override for RPATH in mod_netcgi_apache.so

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Oct 2009 16:35:12 +0200

ocamlnet (2.2.9-6) unstable; urgency=low

  * uploading to unstable
  * debian/*.in: avoid using @OCamlABI@ for dir path and explicit
    "stublibs/"
  * debian/rules:
    - use ocamldoc-apiref-config from /usr/share/ocaml/
    - use ocaml.mk as a CDBS "rules" rather than a CDBS "class"
  * debian/control:
    - bump dependency on dh-ocaml to >= 0.4, to avoid buggy clean
    - drop obsolete versioned build-deps
    - switch build dep from camlp5 to camlp4, now we built against that
    - tigthen build-deps on ocaml libs to induce dep-waits
  * debian/*.install.in: avoid specifying debian/tmp/ (is default now)
  * debian/patches/*
    - add patch camlp4-workarounds (thanks Fedora!) to avoid stumbling
      upon a camlp4 regression
    - disable patches to build against camlp5: build_w_camlp5,
      camlp5_5_alias_pat. Now ocamlnet can be built using camlp4
    - add patch enable_struct_ucred to make 'struct ucred' from
      <sys/socket.h> visible (requires GNU extensions) (Closes: #517319)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 28 Feb 2009 11:38:08 +0100

ocamlnet (2.2.9-5) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * rebuild against OCaml 3.11: stricten build-dep for experimental build,
    and add build-dep on dh-ocaml (which now ships the CDBS class)
  * debian/control: remove transitional dummy packages no longer needed with
    Lenny+1; list of removed packages: libequeue-ocaml{,-dev},
    libnetclient-ocaml-dev, librpc-ocaml-dev, libequeue-gtk2-ocaml-dev
  * bump debhelper compatibility to 7 (build-dep and debian/compat)
  * relax build-dep on apache2-prefork-dev by forcing the apache major number
    to 2 instead of letting ./configure query it invoking /usr/sbin/apache2
  * remove debian/patches/00dpatch.conf, we no longer have a debian-only
    layout

  [ Stephane Glondu ]
  * Do not build rpc-auth-local on hurd-i386 (fixes FTBFS)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 10 Feb 2009 11:10:21 +0100

ocamlnet (2.2.9-4) unstable; urgency=low

  * add rpath pointing at `ocamlc -where` to the Apache module shipped by
    libapache2-mod-ocamlnet, so that libcamlrun_shared.so can be found
    (Closes: #503616)
  * fix wrong path in /etc/apache2/mods-available/netcgi_apache.load, which
    inhibited proper loading of netcgi .cma library
    (also needed to fix #503616)
  * switch Vcs-* fields to the current GIT repository

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 29 Oct 2008 00:09:07 +0100

ocamlnet (2.2.9-3) unstable; urgency=medium

  [ Stephane Glondu ]
  * Update Homepage, fix watch file.

  [ Stefano Zacchiroli ]
  * add missing dep from ocamlnet-dev to cryptgps
  * move doc-base file corresponding to ocamldoc API reference (back) to
    libocamlnet-ocaml-doc; add Replaces as needed in debian/control
    (Closes: #462878)
  * bump Standards-Version to 3.8.0 (no changes needed)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 19 Jul 2008 18:55:19 +0200

ocamlnet (2.2.9-2) unstable; urgency=medium

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir
  * close an old TODO item in debian/TODO
  * bump urgency for the OCaml 3.10.1 transition
  * debian/rules: fix the kfreebsd fix (avoid failing bogusly when we are not
    on a BSD arch)

  [ Stephane Glondu ]
  * Add patch configure_kfreebsd.dpatch to make configure script recognize
    GNU/kFreeBSD as FreeBSD and fix compatibility with kFreeBSD port
    (rpc-auth-local not available). (Closes: #462291)
  * Add patch fix_ssl_bindings.dpatch to fix faulty ssl bindings,
    (Closes: #450903).

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 03 Mar 2008 09:00:15 +0100

ocamlnet (2.2.9-1) unstable; urgency=low

  * new upstream release (bugfix-only release)
  * promote Homepage to a real debian/control field
  * add patch camlrun_shared to link against libcamlrun_shared, so that the
    apache module becomes PIC. Fix FTBFSs on most non-i386 archs
    (closes: #443150, #444360)
  * add patch camlp5_5_alias_pat to ensure buildability against camlp5 5.00
    (hoping it can be removed soon ...)
  * bump versioned build-dep on ocaml-nox to 3.10.0-9 (the first version
    shipping libcamlrun_shared)
  * update standards-version, no changes needed
  * setting me as an uploader and d-o-m as the maintainer
  * use ocamldoc-api-ref-config to generate the doc-base entry in debian/rules

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 29 Dec 2007 22:19:21 +0100

ocamlnet (2.2.8.1-3) experimental; urgency=low

  * change the split of the netcgi2 Apache connector: the OCaml development
    libraries are now in libocamlnet-ocaml-dev while the Apache module is
    alone in libapache2-mod-ocamlnet. This way one can develop applications
    for the connector without having to install Apache
  * debian/patches/
    - add patch no_apache_info to inhibit installation of *apache.info file in
      libapache2-mod-ocamlent, not needed for Apache 2

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 09 Sep 2007 09:57:42 +0200

ocamlnet (2.2.8.1-2) experimental; urgency=low

  * build the apache connector (closes: #430970)
  * ship a new binary package: "libapache2-mod-ocamlnet" containing the
    modules to access the Apache API and the Apache module mod_netcgi_apache
    that bridges Apache with OCamlnet
  * debian/control
    - add build deps on apache2-mpm-worker and apache2-prefork-dev to build
      the Apache connector
  * debian/etc/
    - new dir containing the configuration snippets for the mod_netcgi_apache

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 08 Sep 2007 17:47:44 +0200

ocamlnet (2.2.8.1-1) unstable; urgency=low

  * new upstream release
  * debian/control
    - bump camlp5 version to the latest available (to ensure some syntax quirk
      work properly)
  * debian/patches/
    - refresh build_w_camlp5 patch: some old changes are no longer needed with
      the current version of camlp5, some new code require patches
  * libocamlnet-ocaml-dev.{postinst,preinst,postrm}
    - remove files, since the diversion of cgi/META is useless since long time
      and also the backward fixing of spurious diversions is no longer needed
      for upgrades from Etch
  * debian/rules
    - install reference manual so that it matches the naming convention for
      ocamldoc api references for OCaml packages; generate dynamically
      debian/*.doc-base entries filling the CDBS template for that

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 08 Sep 2007 14:47:18 +0200

ocamlnet (2.2.7-2) experimental; urgency=low

  * rebuild with OCaml 3.10
  * debian/control
    - fix Sections, since the override is right: libequeue{-gtk2,}-ocaml-dev,
      libnetclient-ocaml-dev, and librpc-ocaml-dev belong to libdevel;
      libequeue-ocaml belongs to libs
    - add build-dep on camlp5, the legacy camlp4
    - s/Source-Version/binary:Version/
  * debian/patches/
    - add patch build_w_camlp5, which enables building against legacy camlp5
    - remove patch no_debugging_info, we agree upon compiling *with* debugging
      info OCaml libraries

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 16 Jul 2007 12:32:11 +0000

ocamlnet (2.2.7-1) unstable; urgency=low

  * New upstream release
  * Uploading ocamlnet 2.2.x to unstable
  * debian/rules
    - removed -enable-modcaml, no longer supported upstream

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 11 Apr 2007 21:09:18 +0200

ocamlnet (2.2.4-1) experimental; urgency=low

  * New upstream release
    - better clean up, now "make distclean" (now invoked by debian/rules)
      restore the build area in the initial state just after unpacking
  * debian/rules
    - invoke "distclean" upstream target upon clean
  * debian/control
    - added missing (automatic) shlibdeps for libocamlnet-ocaml-bin

 -- Stefano Zacchiroli <zack@debian.org>  Mon,  8 Jan 2007 00:02:41 +0100

ocamlnet (2.2.3-1) experimental; urgency=low

  * New upstream release
    - now includes the former equeue, netclient, and rpc libraries (packages:
      libequeue-ocaml{,-dev}, libnetclient-ocaml-dev, librpc-ocaml-dev)
  * debian/control
    - reshaped package organization following upstream suggestion on package
      split: libocamlnet-ocaml{,-dev} for core libraries, -gtk2-ocaml-dev for
      GTK-related libs, -ssl-ocaml{,-dev} for SSL-related libs,
      libnethttpd-ocaml-dev for nethttpd (recommended by libocamlnet-ocaml-dev
      to avoid nethttpd disappear upon upgrade), -doc for the HTML manual and
      examples, -bin for tools (netplex-admin and ocamlrpcgen)
    - build-deps: removed equeue (now integrated), bumped debhelper to >= 5,
      added lablgtk2 (equeue's build-dep), ocaml-ssl, labltk, cryptgps (new
      build-deps)
    - deps: removed deps on equeue (now integrated), added transitional
      relationships and (several!) dummy packages
  * debian/patches
    - removed patch 01_build (no longer needed)
    - added patches: no_debugging_info (avoid compiling with -g),
      missing_shebangs (for example shell scripts wo shebang lines),
      mkdir_destdir (for creating destdir before invoking install target)
    - updated to cope with new upstream: patch dont_install_gpl
  * debian/*doc-base
    - updated to point to the (now comprehensive) ocamlnet 2 reference manual
  * debian/compat
    - bumped to compatibility level 5
  * debian/watch
    - added watch file

 -- Stefano Zacchiroli <zack@debian.org>  Mon,  4 Dec 2006 18:59:05 +0100

ocamlnet (1.1-13) unstable; urgency=low

  * debian/rules
    - use ocaml.mk
  * debian/control
    - bumped build dependency on ocaml-nox to >= 3.09.2-7, since we now use
      ocaml.mk

 -- Stefano Zacchiroli <zack@debian.org>  Sat,  4 Nov 2006 17:56:16 +0100

ocamlnet (1.1-12) unstable; urgency=low

  * debian/control
    - bumped dependencies on pcre-ocaml (closes: #387295)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 13 Sep 2006 17:20:39 +0200

ocamlnet (1.1-11) unstable; urgency=low

  * debian/rules
    - removed no longer needed workaround for cdbs + dpatch
    - avoid to create debian/control from debian/control.in on ocamlinit
  * debian/control.in
    - file removed; it is deprecated as per ocaml packaging policy 3.3

 -- Stefano Zacchiroli <zack@debian.org>  Tue,  5 Sep 2006 21:57:19 +0200

ocamlnet (1.1-10) unstable; urgency=low

  * Upload to unstable.

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 17 May 2006 02:31:38 +0000

ocamlnet (1.1-9) experimental; urgency=low

  * Rebuilt against OCaml 3.09.2, bumped deps accordingly.
  * Bumped Standards-Version to 3.7.2 (no changes needed).

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 11 May 2006 23:32:40 +0000

ocamlnet (1.1-8) unstable; urgency=low

  * Rebuilt against OCaml 3.09.1, bumped deps accordingly.
  * debian/rules
    - clean up of some files not cleaned by upstream's Makefile
      (closes: #346278)
  * debian/libocamlnet-ocaml-dev.postinst
    - next attempt at proper cleaning of diversions in the old ocaml
      standard library directories

 -- Stefano Zacchiroli <zack@debian.org>  Sun,  8 Jan 2006 01:36:14 +0100

ocamlnet (1.1-7) unstable; urgency=low

  * ships runtime .so in libocamlnet-ocaml instead of libocamlnet-ocaml-dev

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 26 Nov 2005 19:23:34 +0100

ocamlnet (1.1-6) unstable; urgency=low

  * rebuilt with ocaml 3.09
  * debian/*
    - no longer hard coding of ocaml abi anywhere

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 23 Nov 2005 09:42:01 +0000

ocamlnet (1.1-5) unstable; urgency=low

  * debian/rules
    - removed stdlib overrinding in "install" target, fixing FTBFS
      (closes: Bug#332283)
    - better cleanup on "clean" target, after "clean" the debianized
      source tree should now be identical to a freshly unpacked one
  * debian/control
    - versioned equeue dependency
  * debian/libocamlnet-ocaml-dev.preinst
    - uses /bin/bash as interpreter since bashisms are used

 -- Stefano Zacchiroli <zack@debian.org>  Sun,  9 Oct 2005 12:13:20 +0200

ocamlnet (1.1-4) unstable; urgency=low

  * ships upstream examples in
    /usr/share/doc/libocamlnet-ocaml-dev/examples/ (closes: Bug#323104)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 15 Aug 2005 14:45:37 +0200

ocamlnet (1.1-3) unstable; urgency=low

  * debian/patches/01_build
    - no longer attempt to create netdb data destdir in /usr/lib,
      fixes FTBFS (closes: Bug#320568)
  * debian/control
    - policy-compliant indentation in extended description

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 29 Jul 2005 22:05:09 +0200

ocamlnet (1.1-2) unstable; urgency=low

  * debian/control
    - added build-dep on equeue, needed since ocamlnet 1.1
      (closes: Bug#320472)
    - added dep from libocamlnet-ocaml to libpcre-ocaml, it was erroneously
      missing

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 29 Jul 2005 21:48:51 +0200

ocamlnet (1.1-1) unstable; urgency=low

  * New upstream release
    - added Nethttpd, HTTP 1.1 daemon functionality library
    - added Smtp, SMTP client library
  * debian/control
    - "ported" description to latest features
    - bumped standards-version
    - bumped pcre dependencies to 5.10
  * debian/copyright
    - added copyright info for Nethttpd (GPL license)
  * debian/patches/02_dont_install_gpl
    - avoid installing gpl license in <ocaml_lib_dir>/nethtppd/

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 29 Jul 2005 13:57:47 +0200

ocamlnet (1.0-3) unstable; urgency=low

  * fixed bug in preinst which inhibit clean up of old diversions

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 21 Jul 2005 20:05:48 +0200

ocamlnet (1.0-2) unstable; urgency=low

  * libocamlnet-ocaml-dev.preinst
    - get rid of old diversions of cgi/META

 -- Stefano Zacchiroli <zack@debian.org>  Fri,  1 Jul 2005 17:40:01 +0200

ocamlnet (1.0-1) unstable; urgency=medium

  * New upstream release
  * Urgency set to medium (rational: bug fix/consolidation release)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 15 Apr 2005 08:47:01 +0200

ocamlnet (0.98.1-2) unstable; urgency=low

  * Rebuilt against ocaml 3.08.3

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 26 Mar 2005 00:47:01 +0100

ocamlnet (0.98.1-1) unstable; urgency=low

  * New upstream release

 -- Stefano Zacchiroli <zack@debian.org>  Tue,  1 Feb 2005 09:48:06 +0100

ocamlnet (0.98-4) unstable; urgency=low

  * debian/libocamlnet-ocaml-dev.doc-base.{intro,refman}
    - fixed typos in "Files:" lines, now point to the correct path
      (Closes: Bug#285663)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 21 Dec 2004 09:17:13 +0100

ocamlnet (0.98-3) unstable; urgency=low

  * rebuilt against ocaml 3.08.2

 -- Stefano Zacchiroli <zack@debian.org>  Thu,  9 Dec 2004 15:52:33 +0100

ocamlnet (0.98-2) unstable; urgency=low

  * debian/control
    - added dependencies from libocamlnet-ocaml-dev to libocamlnet-ocaml
      This should fixes build failures (all) due to missing
      dllnetaccel_c.so

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 27 Sep 2004 21:30:29 +0200

ocamlnet (0.98-1) unstable; urgency=low

  * New upstream release
    - changed I/O API to the standardized one discussed on the caml
      list. See http://ocaml-programming.de/rec/IO-Classes.html
    - several bugfixes and improvements, see upstream's CHANGES
  * dpatch-ified build process
  * debian/rules
    - invoke configure with -enable-compatcgi (cgi legacy module no
      longer built by default)
    - comsetic changes
    - added dpatch specific deps and targets
    - install upstream changelog CHANGES
  * debian/control
    - split a libocamlnet-ocaml package which contains the new .so
      shared object stub library
    - added dpatch Build-Dep
    - improved long description
  * debian/*.doc-base.*
    - installed and registered with doc-base both introductory and
      reference manuals

 -- Stefano Zacchiroli <zack@debian.org>  Thu,  9 Sep 2004 12:16:37 +0200

ocamlnet (0.97.1-1) unstable; urgency=low

  * New upstream release
  * rebuilt with ocaml 3.08
  * debian/control
    - bumped ocaml deps to 3.08
    - bumped standards-version to 3.6.1.1
    - changed ocaml deps to ocaml-nox
    - bumped pcre deps to 5.08
  * debian/dirs
    - ported to ocaml 3.08

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 26 Jul 2004 15:25:09 +0200

ocamlnet (0.97-4) unstable; urgency=low

  * Rebuilt with pcre 5.06
  * debian/control
    - changed accordingly

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 15 Mar 2004 19:23:50 +0100

ocamlnet (0.97-3) unstable; urgency=low

  * Reverted last patch to src/netstring/META.in, no longer needed with
    latest (patched) findlib
  * debian/control
    - bumped findlib dep to >= 1.0.3-1

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 30 Jan 2004 18:16:47 +0100

ocamlnet (0.97-2) unstable; urgency=low

  * src/netstring/META.in
    - bugfix: added requires on threads package when "mt" predicate is
      active

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 22 Jan 2004 18:12:07 +0100

ocamlnet (0.97-1) unstable; urgency=low

  * New upstream release
    - bugfix release
    - experimental support for fastcgi
  * debian/control
    - bumped standards-version to 3.6.1.0

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 21 Jan 2004 10:28:53 +0100

ocamlnet (0.96-3) unstable; urgency=low

  * Rebuilt with ocaml 3.07

 -- Stefano Zacchiroli <zack@debian.org>  Wed,  1 Oct 2003 13:33:34 +0200

ocamlnet (0.96-2) unstable; urgency=low

  * Rebuilt with ocaml 3.07beta2

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 22 Sep 2003 17:14:12 +0200

ocamlnet (0.96-1) unstable; urgency=low

  * New upstream release, notably:
    - almost rewritten Netconversion module (new version is really
      faster)
    - added "cursors" (pointer into encoded strings, character grained)
    - implemented a lot of string functions on top of cursors
    - full support for Japanese encoding EUC-JP
    - conversion tables are now loaded at runtime

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 23 Jun 2003 17:34:01 +0200

ocamlnet (0.95-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - bumped standards-version to 3.5.10
    - bumped dependencies on libpcre-ocaml to 5.03
    - changed section of -dev package to "libdevel"
    - added ${misc:Depends}
  * debian/rules
    - removed DH_COMPAT in favour of debian/compat

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 17 Jun 2003 15:26:40 +0200

ocamlnet (0.94-4) unstable; urgency=low

  * Removed Provides:.*-<version>
  * Changed dependencies on libpcre-ocaml-dev from virtual to real ones

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 10 Mar 2003 12:59:36 +0100

ocamlnet (0.94-3) unstable; urgency=low

  * Libdir transition to /usr/lib/ocaml/3.06
  * Changed depends and build depends to ocaml{,-base}-3.06-1

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 16 Dec 2002 12:54:23 +0100

ocamlnet (0.94-2) unstable; urgency=low

  * Changed Build-Deps and Deps from a generic libpcre-ocaml-dev to a
    "versioned" libpcre-ocaml-dev-4.30.0
  * Added 'Provides: libocamlnet-ocaml-dev-<version>'
  * Removed '-g' compilation flag
  * Bumped Standards-Version to 3.5.8

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 28 Nov 2002 23:22:24 +0100

ocamlnet (0.94-1) unstable; urgency=low

  * New upstream release
  * Added preliminary OcamlNet manual
  * Removed generated file src/netstring/netmappings_iso.ml from diff.gz
  * Better test over existence of ocamlopt compiler in debian/rules

 -- Stefano Zacchiroli <zack@debian.org>  Sat,  2 Nov 2002 18:54:58 +0100

ocamlnet (0.93-1) unstable; urgency=low

  * New upstream release
  * Rebuilt against ocaml 3.06 (Closes: Bug#158244)
  * Switched to debhelper 4
  * Changed deps and build-deps to ocaml-3.06
  * Removed mention of ocaml-netstring (ancient) and
    libnestring-ocaml-dev (that will be soon removed from the archive)
    from debian/control

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 26 Aug 2002 16:01:08 +0200

ocamlnet (0.92-2) unstable; urgency=low

  * Added missing build dep on ocaml-findlib (Closes: Bug#146586)
  * Versioned build dep on libpcre-ocaml-dev to avoid build with
    buggy libpcre-ocaml-dev versions

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 11 May 2002 11:32:39 +0200

ocamlnet (0.92-1) unstable; urgency=low

  * Initial Release.

 -- Stefano Zacchiroli <zack@debian.org>  Wed,  8 May 2002 00:27:44 +0200